=== debian/changelog ===
js-of-ocaml (1.0.2+dfsg-1) unstable; urgency=low

  * New upstream release
    - Bump required Lwt version to 2.3.0
    - Update license to LGPLv2
    - Drop patches (fixed upstream)
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Nicolas Dandrimont <nicolas.dandrimont@crans.org>  Fri, 20 May 2011 00:33:08 +0200

js-of-ocaml (1.0+dfsg-2) unstable; urgency=low

  * Team upload.
  * Do not compile native js_of_ocaml on bytecode architectures, use bytecode
    version instead.

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 23 Apr 2011 13:39:26 +0200

js-of-ocaml (1.0+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #610392)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Jan 2011 12:40:04 +0100
