## js-of-ocaml 1.0.5

=== lib/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MLOBJS= js.cmo dom.cmo dom_html.cmo dom_events.cmo lwt_js.cmo firebug.cmo regexp.cmo url.cmo file.cmo form.cmo xmlHttpRequest.cmo event_arrows.cmo json.cmo
+MLOBJS= js.cmo dom.cmo dom_html.cmo dom_events.cmo lwt_js.cmo firebug.cmo regexp.cmo CSS.cmo url.cmo file.cmo form.cmo xmlHttpRequest.cmo event_arrows.cmo json.cmo
 MLINTFS= $(MLOBJS:.cmo=.mli)
 COBJS= stubs.o
 OBJS=$(MLOBJS) $(COBJS)
@@ -6,6 +6,7 @@
 JSON_OBJS=$(addprefix deriving_json/,deriving_bi_outbuf.cmo deriving_Json_lexer.cmo deriving_Json.cmo)
 
 include ../Makefile.conf
+-include ../Makefile.local
 
 ifneq "${DERIVING}" ""
 PA_DERIVING=syntax/pa_deriving_Json.cmo
