=== debian/changelog ===
js-of-ocaml (1.0.5-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 22 Sep 2011 11:53:08 +0200

js-of-ocaml (1.0.3-1) unstable; urgency=low

  * New upstream release
    - do no longer remove examples, update debian/copyright accordingly

 -- Stéphane Glondu <glondu@debian.org>  Sat, 30 Jul 2011 18:31:12 +0200
