=== debian/changelog ===
js-of-ocaml (1.0.6-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 29 Sep 2011 08:43:35 +0200
