=== doc/Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 
 include ../Makefile.conf
+-include ../Makefile.local
 include ../Makefile.filelist
 
 MLIS := ${addprefix ../, ${DOC}}
@@ -12,4 +13,4 @@
 	   -d api-html -I ../lib -I ../lib/deriving_json ${MLIS}
 
 clean:
-	rm -r api-html/*
+	-rm -rf api-html/*
