=== toplevel/Makefile ===
--- 
+++ 
@@ -5,11 +5,13 @@
 all: $(NAME).js
 
 include ../Makefile.conf
+-include ../Makefile.local
+
 COMP=../compiler/$(COMPILER)
 JSFILES=../runtime/runtime.js ../runtime/weak.js toplevel_runtime.js
 OCAMLC=ocamlfind ocamlc -package lwt,str -pp "camlp4o ../lib/syntax/pa_js.cmo" -I ../lib -I ../compiler
 STDLIB= ../lib/$(LIBNAME).cma ../compiler/compiler.cma toplevellib.cma
-
+EXPUNGE=$(shell ocamlc -where)/expunge
 # Removed gc and sys
 STDLIB_MODULES=\
   arg \
@@ -64,7 +66,7 @@
 
 $(NAME).byte: $(OBJS) ../compiler/compiler.cma
 	$(OCAMLC) -linkall -package str -linkpkg -o $@.tmp $(STDLIB) $(OBJS)
-	/usr/lib/ocaml/expunge $@.tmp $@ $(PERVASIVES)
+	$(EXPUNGE) $@.tmp $@ $(PERVASIVES)
 	rm -f $@.tmp
 
 %.cmo: %.ml
