=== debian/changelog ===
js-of-ocaml (1.0.9-1) unstable; urgency=low

  * New upstream release
  * Fix FTBFS on bytecode architectures
  * Do not install plugins on architectures without natdynlink

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Dec 2011 13:43:57 +0100

js-of-ocaml (1.0.8-1) unstable; urgency=low

  * New upstream release
  * Add libderiving-ocsigen-ocaml-dev to Build-Depends
  * Add new binary packages: js-of-ocaml, libjs-of-ocaml

 -- Stéphane Glondu <glondu@debian.org>  Tue, 29 Nov 2011 07:46:26 +0100

js-of-ocaml (1.0.7-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 22 Nov 2011 07:12:18 +0100
