=== debian/watch ===
version=3
http://ocsigen.org/js_of_ocaml/install .*/js_of_ocaml-(.*)\.tar\.gz
# Upstream darcs repository:
#   http://ocsigen.org/darcs/js_of_ocaml/
#   http://ocsigen.org/darcsweb/?r=js_of_ocaml;a=summary
