=== debian/changelog ===
js-of-ocaml (1.0.9b-1) unstable; urgency=low

  * New upstream release
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Sun, 01 Jan 2012 15:01:11 +0100
