=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  dh-ocaml (>= 0.9~),
  ocaml-findlib,
  liblwt-ocaml-dev (>= 2.3.0~),
+ libderiving-ocsigen-ocaml-dev (>= 0.3),
  camlp4,
  ocaml-nox (>= 3.12.0~)
 Standards-Version: 3.9.2
@@ -15,15 +16,16 @@
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/js-of-ocaml.git
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/js-of-ocaml.git
 
-Package: libjs-of-ocaml-dev
+Package: js-of-ocaml
 Architecture: any
 Depends:
+ libjs-of-ocaml-dev,
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
-Description: OCaml bytecode to JavaScript compiler
+Description: OCaml bytecode to JavaScript compiler (compiler)
  Js_of_ocaml is a compiler of OCaml bytecode to JavaScript. It makes
  it possible to run OCaml programs in a web browser. Its key features
  are the following:
@@ -37,6 +39,54 @@
  .
  This package contains the compiler itself.
 
+Package: libjs-of-ocaml-dev
+Architecture: any
+Depends:
+ ${ocaml:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends}
+Provides: ${ocaml:Provides}
+Recommends: ocaml-findlib
+Description: OCaml bytecode to JavaScript compiler (development files)
+ Js_of_ocaml is a compiler of OCaml bytecode to JavaScript. It makes
+ it possible to run OCaml programs in a web browser. Its key features
+ are the following:
+  * the whole language, and most of the standard library are
+    supported;
+  * the generated code can be used with any web server and browser;
+  * you can use a standard installation of OCaml to compile your
+    programs. In particular, you do not have to recompile a library to
+    use it with Js_of_ocaml. You just have to link your program with a
+    specific library to interface with the browser APIs.
+ .
+ This package contains development files needed to compile server-side
+ (using regular OCaml compiler) and client-side (using Js_of_ocaml)
+ programs.
+
+Package: libjs-of-ocaml
+Architecture: any
+Depends:
+ ${ocaml:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends}
+Provides: ${ocaml:Provides}
+Recommends: ocaml-findlib
+Description: OCaml bytecode to JavaScript compiler (runtime)
+ Js_of_ocaml is a compiler of OCaml bytecode to JavaScript. It makes
+ it possible to run OCaml programs in a web browser. Its key features
+ are the following:
+  * the whole language, and most of the standard library are
+    supported;
+  * the generated code can be used with any web server and browser;
+  * you can use a standard installation of OCaml to compile your
+    programs. In particular, you do not have to recompile a library to
+    use it with Js_of_ocaml. You just have to link your program with a
+    specific library to interface with the browser APIs.
+ .
+ This package contains runtime libraries that may be needed by
+ server-side programs communicating with clients compiled with
+ Js_of_ocaml using JSON.
+
 Package: libjs-of-ocaml-doc
 Section: doc
 Architecture: all
