## js-of-ocaml 1.1

=== debian/changelog ===
js-of-ocaml (1.1-1) unstable; urgency=low

  * New upstream release
    - remove patch (merged upstream)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 04 Mar 2012 20:30:02 +0100
