## js-of-ocaml 1.1.1

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 
 VERSION := $(shell head -n 1 VERSION)
 install:
-	ocamlfind install -patch-version ${VERSION} $(LIBRARY) lib/META $(INTF) $(IMPL) $(NATIMPL) $(OTHERS) $(DOC)
+	ocamlfind install -patch-version ${VERSION} $(LIBRARY) lib/META $(INTF) $(IMPL) $(OTHERS) $(DOC)
 	install -d -m 755 $(BINDIR)
 	install $(BIN) $(BINDIR)
