=== debian/changelog ===
js-of-ocaml (1.1.1-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 17 Mar 2012 11:39:42 +0100
