=== debian/changelog ===
js-of-ocaml (1.2-2) unstable; urgency=low

  * Update upstream changelog and version (Closes: #691257)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Nov 2012 12:18:20 +0100

js-of-ocaml (1.2-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 08 Jun 2012 07:23:02 +0200
