## js-of-ocaml 1.3.2

=== examples/webgl/Makefile ===
OBJS=webgl.cmo
NAME=webgl
OPTIONS=-pretty

include ../Makefile.common
