=== debian/changelog ===
js-of-ocaml (1.3.2-2) unstable; urgency=low

  [ Nicolas Dandrimont ]
  * Add a manpage for js_of_ocaml

  [ Stéphane Glondu ]
  * Use format version 1.0 in debian/copyright
  * Bump Standards-Version to 3.9.4
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Fri, 10 May 2013 11:14:25 +0200

js-of-ocaml (1.3.2-1) experimental; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 07 Dec 2012 20:52:08 +0100

js-of-ocaml (1.3.1-1) experimental; urgency=low

  * New upstream release
    - bump build-dependency to lwt

 -- Stéphane Glondu <glondu@debian.org>  Fri, 07 Dec 2012 17:50:36 +0100
