=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
  debhelper (>= 8),
  dh-ocaml (>= 0.9~),
  ocaml-findlib,
- liblwt-ocaml-dev (>= 2.3.0~),
+ liblwt-ocaml-dev (>= 2.4),
  libderiving-ocsigen-ocaml-dev (>= 0.3),
  camlp4,
  ocaml-nox (>= 3.12.0~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://ocsigen.org/js_of_ocaml
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/js-of-ocaml.git
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/js-of-ocaml.git
