## js-of-ocaml 1.4

=== Makefile ===
--- 
+++ 
@@ -61,5 +61,6 @@
 dist:
 	rm -rf /tmp/js_of_ocaml-${VERSION} &&\
         cd /tmp &&\
-	darcs get http://ocsigen.org/darcs/js_of_ocaml/ js_of_ocaml-${VERSION} &&\
-	tar zcvf js_of_ocaml-${VERSION}.tar.gz js_of_ocaml-${VERSION} --exclude benchmarks --exclude _darcs --exclude tests
+	git clone https://github.com/ocsigen/js_of_ocaml.git js_of_ocaml-${VERSION} &&\
+	(cd js_of_ocaml-${VERSION}; git checkout 1.4) &&\
+	tar zcvf js_of_ocaml-${VERSION}.tar.gz js_of_ocaml-${VERSION} --exclude benchmarks --exclude .git --exclude tests
