=== examples/boulderdash/Makefile ===
OBJS=boulderdash.cmo
NAME=boulderdash

include ../Makefile.common
