=== examples/graph_viewer/Makefile ===
OBJS=scene.cmo viewer_common.cmo viewer_js.cmo
NAME=jsviewer

include ../Makefile.common
include .depend
