=== examples/hyperbolic/Makefile ===
OBJS=hypertree.cmo
NAME=hypertree
OPTIONS=-pretty

include ../Makefile.common
