=== examples/minesweeper/Makefile ===
OBJS=minesweeper.cmo main.cmo
NAME=minesweeper

include ../Makefile.common

main.cmo: minesweeper.cmo
