=== examples/planet/Makefile ===
OBJS=planet.cmo
NAME=planet
OPTIONS=-pretty

include ../Makefile.common
