=== examples/webgl/Makefile ===
OBJS=webgldemo.cmo
NAME=webgldemo
OPTIONS=-pretty

include ../Makefile.common
