=== debian/changelog ===
js-of-ocaml (1.4-1build1) trusty; urgency=medium

  * Rebuild for new OCaml ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Feb 2014 18:19:54 +0000

js-of-ocaml (1.4-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-*
  * Bump Standards-Version to 3.9.5 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 27 Dec 2013 20:20:21 +0100

js-of-ocaml (1.3.2-4) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Sat, 07 Dec 2013 10:42:24 +0100

js-of-ocaml (1.3.2-3) experimental; urgency=low

  * Compile with OCaml >= 4.01

 -- Stéphane Glondu <glondu@debian.org>  Mon, 11 Nov 2013 08:00:20 +0100
