=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Build-Depends:
  debhelper (>= 8),
  dh-ocaml (>= 0.9~),
- ocaml-findlib,
+ ocaml-findlib (>= 1.4),
  liblwt-ocaml-dev (>= 2.4),
  libderiving-ocsigen-ocaml-dev (>= 0.3),
  camlp4,
- ocaml-nox (>= 3.12.0~)
-Standards-Version: 3.9.4
+ ocaml-nox (>= 4.01)
+Standards-Version: 3.9.5
 Homepage: http://ocsigen.org/js_of_ocaml
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/js-of-ocaml.git
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/js-of-ocaml.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/js-of-ocaml.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/js-of-ocaml.git
 
 Package: js-of-ocaml
 Architecture: any
@@ -45,6 +45,8 @@
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
+Breaks: libjs-of-ocaml (<< 1.4)
+Replaces: libjs-of-ocaml (<< 1.4)
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
 Description: OCaml bytecode to JavaScript compiler (development files)
@@ -69,6 +71,8 @@
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
+Breaks: libjs-of-ocaml-dev (<< 1.4)
+Replaces: libjs-of-ocaml-dev (<< 1.4)
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
 Description: OCaml bytecode to JavaScript compiler (runtime)
